move some vim files, globstar in bash, tmux interactive pane move, add urls, better...
authorMart Lubbers <mart@martlubbers.net>
Fri, 10 Aug 2018 05:41:55 +0000 (07:41 +0200)
committerMart Lubbers <mart@martlubbers.net>
Fri, 10 Aug 2018 05:41:55 +0000 (07:41 +0200)
.gitmodules
dirs.sh
newsboat/.config/newsboat/urls
shell/.bashrc
shell/.config/tmux/config
shell/.local/bin/backup.sh
shell/.local/bin/cpm.sh
vim/.vim/after/ftplugin/plaintex.vim [moved from vim/.vim/ftplugin/plaintex.vim with 100% similarity]
vim/.vim/pack/plugins/start/vim-gnupg
vim/.vim/pack/plugins/start/vimtex
vim/.vimrc

index eec2599..5e4bd62 100644 (file)
@@ -21,4 +21,4 @@
        url = https://github.com/vimperator/vimperator.vim
 [submodule "vim/.vim/pack/plugins/start/vimtex"]
        path = vim/.vim/pack/plugins/start/vimtex
-       url = git@github.com:lervag/vimtex.git
+       url = https://github.com/lervag/vimtex.git
diff --git a/dirs.sh b/dirs.sh
index 70be705..e0650ff 100644 (file)
--- a/dirs.sh
+++ b/dirs.sh
@@ -1,7 +1,7 @@
 mkdir -pv ~/.config/{khal,khard,vdirsyncer,todoman,notmuch,msmtp,offlineimap,dunst,newsboat,tmux}
 mkdir -pv ~/.mutt
 mkdir -pv ~/.gnupg
-mkdir -pv ~/.vim/{after/ftplugin,autoload,bundle,spell,pack/plugins/{opt,start}}
+mkdir -pv ~/.vim/{ftplugin,after/ftplugin,autoload,bundle,spell,pack/plugins/{opt,start}}
 mkdir -pv ~/.{local/bin,config/{i3,i3status}}
 mkdir -pv ~/.{ncmpcpp,config/mpd}
 chmod 700 ~/.gnupg
index 0f76f7e..bd86c2d 100644 (file)
@@ -15,3 +15,5 @@ https://www.youtube.com/feeds/videos.xml?channel_id=UCVZlxkKqlvVqzRJXhAGq42Q yt
 https://www.youtube.com/feeds/videos.xml?channel_id=UC4btfgUBD9hxTNX2d1QydcQ yt "Last Gamer"
 https://www.youtube.com/feeds/videos.xml?channel_id=UCJc3p1FsUXycsocQSQ2-_mg yt "dumpert"
 https://www.youtube.com/feeds/videos.xml?channel_id=UCpB27-wOnjRwUOtqQ4L3Tlw yt "Joshimuz"
+https://www.youtube.com/feeds/videos.xml?channel_id=UC9-y-6csu5WGm29I7JiwpnA yt "Computerphile"
+https://www.youtube.com/feeds/videos.xml?channel_id=UC-7I1gU1r6PxBSl87o-7YEQ yt "Drauga1"
index 43c5087..dbac23d 100644 (file)
@@ -1,9 +1,8 @@
-shopt -s checkwinsize
+shopt -s checkwinsize histappend globstar
 
 export HISTCONTROL=erasedups
 export HISTFILESIZE=NOTHING
 export HISTSIZE=NOTHING
-shopt -s histappend
 export PROMPT_COMMAND='history -a'
 
 export TERMINAL=~/projects/st/st
@@ -24,9 +23,6 @@ export PATH=$PATH:/opt/texlive/2018/bin/x86_64-linux
 export GTK_IM_MODULE=xim
 export QT_IM_MODULE=xim
 
-# transparency in some applications such as mutt
-export COLORFGBG="default;default"
-
 alias ls='ls --color=auto'
 alias grep='grep --color=auto'
 alias vi=vim
index 35a9a83..b772566 100644 (file)
@@ -25,4 +25,11 @@ bind-key -T copy-mode-vi 'Space' send -X halfpage-down
 bind-key -T copy-mode-vi 'Bspace' send -X halfpage-up
 
 # urlview
-bind-key u capture-pane \; save-buffer /tmp/tmux-buffer \; run-shell "st -e urlview /tmp/tmux-buffer"
+bind-key u capture-pane \; \
+       run-shell "st -e sh -c 'tmux save-buffer - | urlview'"
+
+# interactive panel to other windows
+bind-key M choose-tree -Zw "join-pane -t '%%'"
+
+# interactive panel to other session
+bind-key C-m choose-tree -Zs "join-pane -t '%%'"
index d3a8c23..0656811 100755 (executable)
@@ -22,7 +22,7 @@ elif mount -U "$1"
 then
        mkdir -p /mnt/backupdrive/home/mrl /mnt/backupdrive/mnt/data &&\
        rsync --delete --bwlimit=20M --exclude 'minidlna/*' --exclude 'transmission/ipt/*' -va /mnt/data/ /mnt/backupdrive/mnt/data > /home/mrl/backup.log &&\
-       rsync --delete --bwlimit=20M -va /home/mrl/ /mnt/backupdrive/home/mrl >> /home/mrl/backup.log &&\
+       rsync --delete --bwlimit=20M --exclude 'VirtualBox VMs' -va /home/mrl/ /mnt/backupdrive/home/mrl >> /home/mrl/backup.log &&\
        umount /mnt/backupdrive &&\
        cat<<MAIL | su -c 'ssh helheim /usr/lib/sendmail backups@martlubbers.net' mrl
 To: mart@martlubbers.net
index 86cccce..8a98a9d 100755 (executable)
@@ -1,5 +1,6 @@
 #!/bin/bash
 set -e
+set -o pipefail
 cpm "$@" |& grep -v\
        -e "^Warning: Multiple file instances: 'Makefile'"\
        -e "^Analyzing"\
@@ -8,10 +9,6 @@ cpm "$@" |& grep -v\
        -e "^]: is older than .abc file"\
        -e "^First found at:"\
        -e "^Also found at:"
-if [[ "${PIPESTATUS[0]}" -ne 0 ]]
-then
-       exit "${PIPESTATUS[0]}"
-fi
 
 if git rev-parse --show-toplevel 2>/dev/null
 then
index 7fcea1a..22cbc6b 160000 (submodule)
@@ -1 +1 @@
-Subproject commit 7fcea1a08423da3012aac87f5224738c85d212a1
+Subproject commit 22cbc6b6ab1623edd2e325d256245d21580f912a
index e3dabe0..4736043 160000 (submodule)
@@ -1 +1 @@
-Subproject commit e3dabe0a369dac556508ac5d1132979d654bc753
+Subproject commit 4736043c8920d071ef09d2a01aaadb6cd02d7ad3
index 3e1569d..5c63c93 100644 (file)
@@ -44,7 +44,7 @@ nnoremap n nzzzv
 nnoremap N Nzzzv
 
 " Fold settings
-set foldmethod=syntax
+set foldmethod=marker
 set foldlevelstart=99
 
 " Unbind arrow keys, who has them anyways on the keyboard...